<div id="page-content-wrapper">
<!-- Keep all page content within the page-content inset div! -->
<div class="page-content inset">
<div class="row">
<div class="col-md-12">

<body > 


<head>
  <!-- Manda a traer el javascript para validar el formulario -->
   <script src="<?php echo base_url().'assets/dist/js/CifrasEnLetras.js'?>" type="text/javascript"></script>
  <script type="text/javascript" src="<?php echo base_url()?>assets/dist/js/site.js"></script>
   <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/validacion.css'?>">
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">
</head>
<form >
<input type="text" class="form-control" id="franquicia"  name="franquicia"  placeholder="Nombre" value="<?php foreach ($Franquicias as $i => $Franquicias) echo  $i; ?>"  readonly="" style="display: none;">
     <div class="form-group">

    
    <input type="text" class="form-control" id="FolioVenta"  name="FolioVenta" placeholder="Total" value="<?=$folio?>"  readonly="" style='display:none;'>


    <input type="text" class="form-control" id="FechaVenta"  name="FechaVenta" placeholder="Total" value="<?=$FechaVenta?>" style='display:none;' readonly="">
   
    
    <input type="text" class="form-control" id="NombreCliente"  name="NombreCliente" placeholder="Nombre" value="<?=$ClienteVenta?>" style='display:none;' readonly="">
   
    <input type="text" class="form-control" id="Subtotal"  name="Subtotal" placeholder="Nombre" value="<?=$Subtotal?>" style='display:none;' readonly="">
 
    <input type="text" class="form-control" id="Iva"  name="Iva" placeholder="Nombre" value="<?=$Iva?>" style='display:none;' readonly="">

    <input type="text" class="form-control" id="TotalVenta"  name="TotalVenta" placeholder="Total" value="<?=$TotalVenta?>" style='display:none;' readonly="">
 
    <input type="text" class="form-control" id="TotalVenta"  name="TotalVenta" placeholder="Total" value="<?=$TotalVentaGeneral?>" style='display:none;' readonly="">

    <input type="text" class="form-control" id="AdeudoVenta"  name="AdeudoVenta" placeholder="Adeudo" value="<?=$AdeudoVenta?>" style='display:none;' readonly="">
   
    <input type="text" class="form-control" id="Vendedor" name="Vendedor" placeholder="Vendedor"  value="<?=$VendedorUsuario?>" style='display:none;' readonly="">
    
    <textarea class="form-control" rows="1" id="comentario" name="comentario" readonly="" style='display:none;'><?=$Comentario?></textarea>
    
    <input type="text" class="form-control" id="TCFolio2" name="TCFolio2" placeholder="Propina" value="<?=$TotalPropina?>" style='display:none;' readonly="" >
   
    <input type="text" class="form-control" id="Contado2" name="Contado2" placeholder="Usuario Propina"  value="<?=$UsuarioPropina?>" style='display:none;' readonly="">
    <input type="text" class="form-control" id="Abono" name="Abono" placeholder="Abono" value="<?=$AbonoVenta?>" style='display:none;'>
    <input type="text" class="form-control" id="AbonoLetra" name="AbonoLetra" placeholder="AbonoLetra" style='display:none;'>
    <input type="text" class="form-control" id="IdVentas" name="IdVentas" value="<?=$IdVentas?>" style='display:none;'>
  
     
    
  </div>
</br>

<div class='col-md-12 botones'>
 
 <!-- <button type="button" class="btn btn-danger col-md-12"  id='' data-toggle="tooltip" data-placement="bottom" title="Imprimir ticket" style="height:70px; visibility: hidden;" > <span class='glyphicon glyphicon-print'> </span>  Imprimir ticket de venta  </button>  -->
 
 <button type="button" class="btn btn-danger boton"  id='imprime' data-toggle="tooltip" data-placement="bottom" title="Imprimir ticket"> <span class='glyphicon glyphicon-print'> </span> <span class="contraer"> Imprimir ticket de venta  </span></button> &nbsp
 <button type="button" class="btn btn-danger boton"  id='descarga' data-toggle="tooltip" data-placement="bottom" title="Guardar ticket"> <span class='glyphicon glyphicon-download-alt'> </span> <span class="contraer"> Guardar ticket </span>  </button>
</div>


</form>

</div>
<div class="modal fade" id="modal-default">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">Ticket</h4>
      </div>
      <div class="modal-body" id="area-impresion-ticket">
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger pull-left" data-dismiss="modal" id="cerrar-ticket-preview">Cerrar</button>
        <button type="button" class="btn btn-primary btn-print" id="imprimirTicket"><span class="fa fa-print"> </span>Imprimir</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- modal
 --> 

<script type="text/javascript">
    $(document).ready(function(){          
       var idVenta= $('#IdVentas').val();
       console.log(idVenta);
    if ($('#Abono').val()!="") {
      console.log("Hay abono");
      var entrada =$("#Abono").val();
      var Resultado = CifrasEnLetras.convertirEurosEnLetras(entrada);
      document.getElementById('AbonoLetra').value=Resultado;
     }
    $("#imprime").on("click", function(){ 
    imprimir();
    });

    $("#descarga").on("click", function(){ 
        var idVenta= $('#IdVentas').val();
        var base_url='<?php echo base_url()?>';
        location.href= "<?php echo base_url().'caja/Franquiciatario/CajaF/Ticketpdf/'.$IdVentas?>";
        setTimeout("location.href='"+base_url+"pagos/franquiciatario/pagosF/UltimasVentas'", 5000);
        
    // descargar();
    });

   
function imprimir() {

    var cliente = $('#NombreCliente').val();
    var folio = $('#FolioVenta').val();
    var folioVenta="<?=$FolioVenta?>";
    var fecha = $('#FechaVenta').val();
    var atendio = $('#Vendedor').val();
    var subtotal =Number($('#Subtotal').val());
    var Iva = Number($('#Iva').val());
    var totalNeto = Number($('#fechaVenta').val());
    var totalPagar = Number("<?=$TotalVentaGeneral?>");
    var abono=Number("<?=$AbonoVenta?>");
    var adeudoCuenta = Number($('#AdeudoVenta').val());
    var totalPagarLetras = $('#AbonoLetra').val();
    var idFranquicia = $('#franquicia').val();
    var mostrarDireccion='<?php echo $datosFranquiciaTicket->MostrarDireccionFranquicia;?>';
    var arrP, arrSA, arrSG, arrPr;
    var indexTabla = 1;
    var datos = <?php echo json_encode($consulta1, JSON_PRETTY_PRINT);?>;
    var datos2 = <?php echo json_encode($consulta2, JSON_PRETTY_PRINT);?>;
    var datos3 = <?php echo json_encode($consulta3, JSON_PRETTY_PRINT);?>;
    var datos4 = <?php echo json_encode($consulta4, JSON_PRETTY_PRINT);?>;    
    var efectivo=Number("<?=$Contado?>");
    var tarjeta1=Number("<?=$CantidadTarjetaUno?>");
    var tarjeta2=Number("<?=$CantidadTarjetaDos?>");
    var leyenda=<?php echo json_encode($leyenda, JSON_PRETTY_PRINT);?>;
    var certificado =  '';
    var fila =  '';
        fila += '<div class="logo-empresa">';
        fila += '<img src="<?php echo base_url().'assets/dist/img/logo.png'?>" alt="Italian Trulli">';
        fila += '</div>';
        fila += '<div class="datos">';
        fila += '<div class="nombre-empresa-ticket"><?php echo $datosFranquiciaTicket->NombreFranquicia?></div>';
        if (idFranquicia!=16) { //Franquicia de Tampico
          fila += '<div class="razon-empresa-ticket">R.S:<?php echo $datosFranquiciaTicket->RazonSocial?></div>';
        }
        fila += '<div class="regimen-empresa-ticket"><?php echo $datosFranquiciaTicket->RegimenFiscal?></div>';
        fila += '<div class="rfc-empresa-ticket">RFC: <?php echo $datosFranquiciaTicket->RFC?></div>';
        fila += '<div class="domicilio-empresa-ticket"><?php echo $datosFranquiciaTicket->DomicilioFiscal;?>CP: <?php echo $datosFranquiciaTicket->CP;?></div>';
        if(mostrarDireccion==1){
          fila += '<div class="domicilio-empresa-ticket">SUCURSAL: <?php echo $datosFranquiciaTicket->DomicilioFranquicia;?></div>';
        }
        fila += '</div>';
        fila += '<div class="datos-dos">';
        fila += '<div class="nombre-cliente-ticket">Folio:'+folioVenta+'</div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Fecha de pago:'+fecha+'</div>';
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket">Cliente: '+cliente+'</div>';
        fila += '</div>';
        fila += '<div class="lista-comprada">';
        fila += '<thead>';
        fila += '<tr>';

        fila +='</thead>';
        fila +=  '<tr>';
        

       
        fila +=  '</tr>';
        fila +='<tbody>';
         //---------------------------------------
        if (datos!="") {
        fila += '<div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Productos</div>';
        fila += '<table class="table table-striped">';
        fila +=    '<th scope="col">#</th>';
        fila +=    '<th scope="col">Concepto</th>';
        fila +=    '<th scope="col">Cant.</th>';
        fila +=    '<th scope="col">Precio</th>';
        fila +=    '<th scope="col">Importe</th>';
        fila +=  '</tr>';       
      
       for(arrP = 0; arrP < datos.length; arrP++){
         console.log(datos[arrP]); 
        fila +=  '<tr>'; 
        fila += '<td class="numero-ticket">'+indexTabla+'</td>';        
        fila += '<td class="nombre-producto-ticket">'+datos[arrP].NombreProducto+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos[arrP].PiezasP+'</td>';
        fila += '<td class="precio-neto-ticket">'+datos[arrP].Precio+'</td>';
        fila += '<td class="pago-ticket">'+datos[arrP].TotalPagar+'</td>';
        indexTabla++;
         }
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';   
        fila +=  '</tr>';
        fila += '</table>';
        }
     //---------------------------------------------
      if (datos2!="" || datos3!="") {
        fila += '<div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Servicios</div>';
        fila += '<table class="table table-striped">';
        fila +=    '<th scope="col">#</th>';
        fila +=    '<th scope="col">Concepto</th>';
        fila +=    '<th scope="col">Cant.</th>';
        fila +=    '<th scope="col">Precio</th>';
        fila +=    '<th scope="col">Importe</th>';
        fila +=  '</tr>';       
       
       for(arrSA = 0; arrSA < datos2.length; arrSA++){
         console.log(datos2[arrSA]); 
        fila +=  '<tr>';
        fila += '<td class="numero-ticket">'+indexTabla+'</td>';         
        fila += '<td class="nombre-producto-ticket">'+datos2[arrSA].NombreServicio+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos2[arrSA].SesionesS+'</td>';
        fila += '<td class="precio-neto-ticket">'+datos2[arrSA].Precio+'</td>';
        fila += '<td class="pago-ticket">'+datos2[arrSA].TotalPagar+'</td>';
        indexTabla++;
         }
       
       //servicios generales
       for(arrSG = 0; arrSG < datos3.length; arrSG++){
         console.log(datos3[arrSG]); 
        fila +=  '<tr>';  
        fila += '<td class="numero-ticket">'+indexTabla+'</td>';      
        fila += '<td class="nombre-producto-ticket">'+datos3[arrSG].NombreServicio+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos3[arrSG].SesionesS+'</td>';
        fila += '<td class="precio-neto-ticket">'+datos3[arrSG].Precio+'</td>';
        fila += '<td class="pago-ticket">'+datos3[arrSG].TotalPagar+'</td>';
        indexTabla++;
         }
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';   
        fila +=  '</tr>';
        fila += '</table>';
        }
        //-------------------------------------
        if (datos4!="") {
        fila += '<div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Promociones</div>';
        fila += '<table class="table table-striped">';
        fila +=    '<th scope="col">#</th>';
        fila +=    '<th scope="col">Concepto</th>';
        fila +=    '<th scope="col">Cant.</th>';
        fila +=    '<th scope="col">Precio</th>';
        fila +=    '<th scope="col">Importe</th>';
        fila +=  '</tr>';       
      
       for(arrPr = 0; arrPr < datos4.length; arrPr++){
         console.log(datos4[arrPr]); 
        fila +=  '<tr>';  
        fila += '<td class="numero-ticket">'+indexTabla+'</td>';      
        fila += '<td class="nombre-producto-ticket">'+datos4[arrPr].NombrePromocion+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos4[arrPr].SesionesPr+'</td>';
        fila += '<td class="precio-neto-ticket">'+datos4[arrPr].Precio+'</td>';
        fila += '<td class="pago-ticket">'+datos4[arrPr].TotalPagar+'</td>';
        indexTabla++;
         }
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>';   
        fila +=  '</tr>';
        fila += '</table>';
        fila += '</div>';
      }
        fila += '<div class="lista-comprada">';
        fila += '<table class="table table-striped">';
        fila += '<tr>';
        fila += '<th scope="col"></th>';
        fila += '<th scope="col"></th>';
        fila += '</tr>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Subtotal:</td>';  
        fila += '<td class="total-ticket">'+subtotal.toFixed(2)+'</td>';  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">IVA:</td>';  
        fila += '<td class="total-ticket">'+Iva.toFixed(2)+'</td>';  
        fila +=  '</tr>';
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Total General:</td>';  
        fila += '<td class="total-ticket">'+totalPagar.toFixed(2)+'</td>';  
        fila +=  '</tr>';   
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Abonado:</td>';  
        fila += '<td class="total-pagar-ticket">'+abono.toFixed(2)+'</td>';  
        fila +=  '</tr>';  
        fila +=  '<tr class="deuda-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="deuda-ticket">Adeudo:</td>';  
        if(adeudoCuenta==0){
        fila += '<td class="deuda-pagar-ticket">-</td>';  
         }else {
        fila += '<td class="deuda-pagar-ticket">'+adeudoCuenta.toFixed(2)+'</td>';}
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>'; 
        fila += '<td class="total-ticket">Pago en</td>';  
        fila += '<td class="total-pagar-ticket"></td>';  
        fila +=  '</tr>';

        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        if(efectivo>0){ 
        fila += '<td class="total-ticket">Efectivo:</td>';  
        fila += '<td class="total-pagar-ticket">'+efectivo.toFixed(2)+'</td>';
        }  
        fila +=  '</tr>';
        fila +=  '<tr class="total-cuenta">'; 
        fila +=  '<td></td><td></td><td></td>';
        if((tarjeta1+tarjeta2)>0){  
        fila += '<td class="total-ticket">Tarjeta:</td>';  
        fila += '<td class="total-pagar-ticket">'+(tarjeta1+tarjeta2).toFixed(2)+'</td>'; 
        } 
        fila +=  '</tr>';

        fila += '</table>';
        fila += '</div>';
        fila += '<div class="total-pagar-letras">('+totalPagarLetras+'/100 M.N.)</div>';

        if (datos2!="" || datos3!="" ||datos4!="") {
            for (arrSA = 0; arrSA < datos2.length; arrSA++) {
                if (datos2[arrSA].FolioC!='') {
                certificado='dato';    
                }
            }
            for (arrSG = 0; arrSG < datos3.length; arrSG++) {
                if (datos3[arrSG].FolioC!='') {
                certificado='dato';    
                }
            }
            for (arrPr = 0; arrPr < datos4.length; arrPr++) {
                if (datos4[arrPr].FolioPr!='') {
                certificado='dato';    
                }
            }
        }
        if (certificado=='dato') {
        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Certificado de regalo</div>';
        fila += '<div class="lista-comprada">';
        fila += '<table class="table table-striped">';
        fila += '<tr>';
        fila += '<th scope="col">Servicio</th>';
        fila += '<th scope="col">Folio</th>';
        fila += '<th scope="col">Nombre</th>';
        fila += '</tr>';
        for (arrSA = 0; arrSA < datos2.length; arrSA++) {
        if (datos2[arrSA].FolioC!='') {
        fila += '<tr>';
        fila += '<td class="nombre-producto-ticket">'+datos2[arrSA].NombreServicio+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos2[arrSA].FolioC+'</td>';
        fila += '<td class="nombre-producto-ticket">'+datos2[arrSA].NombreCertificadoS+'</td>';
        fila += '</tr>';
           }
        }
        for (arrSG = 0; arrSG < datos3.length; arrSG++) {
        if (datos3[arrSG].FolioC!='') {
        fila += '<tr>';
        fila += '<td class="nombre-producto-ticket">'+datos3[arrSG].NombreServicio+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos3[arrSG].FolioC+'</td>';
        fila += '<td class="nombre-producto-ticket">'+datos3[arrSG].NombreCertificadoS+'</td>';
        fila += '<tr>';
           }
        }
        for (arrPr = 0; arrPr < datos4.length; arrPr++) {
        if (datos4[arrPr].FolioPr!='') {
        fila += '<tr>';
        fila += '<td class="nombre-producto-ticket">'+datos4[arrPr].NombrePromocion+'</td>';
        fila += '<td class="numero-piezas-ticket">'+datos4[arrPr].FolioPr+'</td>';
        fila += '<td class="nombre-producto-ticket">'+datos4[arrPr].NombreCertificadoPr+'</td>';
        fila += '<tr>';
           }
        }    

        fila += '</table>';
        fila += '</div>';

        }

        fila += '<div class="domicilio-empresa-ticket" ><br/></div>';
        fila += '<div class="atendio">ATENDIO:  '+atendio+'</div>';
        fila += '<div class="domicilio-empresa-ticket"><br/></div>';
        for(var a = 0; a < leyenda.length; a++){
        fila += '<div class="leyenda">'+leyenda[a].DescripcionLeyendas+'</div>';
        }
        
        fila +=  '</tbody>';
        
        generarTicket(idFranquicia, fila, folioVenta);
      }


           function generarTicket(idFranquicia, fila, folioVenta)
            {                       

                var ventana = window.open();
                var contenido= fila;
                ventana.document.write('<html><head><title>Ticket de Venta_'+folioVenta+'</title>');
                ventana.document.write('<link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">'); //Aquí agregué la hoja de estilos
                ventana.document.write('<link rel="stylesheet" href="<?php echo base_url();?>assets/bootstrap/css/bootstrap.css">');
                ventana.document.write('<body>');
                ventana.document.write('<div class="ticket-1">');
                ventana.document.write(contenido);
                 ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
                ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
                ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
                //  if (idFranquicia==33) { //Franquicias Corporativo
                // ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
                // }
                ventana.document.write('<div class="pertenece-a">Original</div>');
                ventana.document.write('<hr class="fin-ticket">');
                ventana.document.write('</div>');             
                ventana.document.write(contenido);
                ventana.document.write('<div class="footer-ticket">Salud y Belleza con la mejor tecnología a tu alcance</div>');
                ventana.document.write('<div class="link-model">https://www.modelartspa.com</div>');
                ventana.document.write('<div class="agrdecimiento-model">¡GRACIAS POR SU VISITA!</div>');
                //  if (idFranquicia==33) { //Franquicias Corporativo
                // ventana.document.write('<div class="agrdecimiento-model">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
                // }
                ventana.document.write('<div class="pertenece-a">Copia para el cliente</div>');
                ventana.document.write('<hr class="fin-ticket">');
                ventana.document.write('</div>');                           
                ventana.document.write('</body></html>');
                ventana.document.close();

                ventana.focus();

               ventana.onload = function() {
                  ventana.print();

                  ventana.close();

                  setTimeout(function () { window.print(); }, 500);
               
                  ventana.onafterprint = function(){
                   console.log("Printing completed...");
                   location.href ="<?php echo base_url()?>pagos/franquiciatario/PagosF/UltimasVentas";
                   
                  
                    }

                          (function() {

                      var beforePrint = function() {
                          console.log('Functionality to run before printing.');
                      };

                      var afterPrint = function() {
                          console.log('Functionality to run after printing');
                      };

                      if (window.matchMedia) {
                          var mediaQueryList = window.matchMedia('print');
                          mediaQueryList.addListener(function(mql) {
                              if (mql.matches) {
                                  beforePrint();
                              } else {
                                  afterPrint();
                              }
                          });
                      }

              window.onbeforeprint = beforePrint;
              window.onafterprint = afterPrint;

                }());
                }
                
            }
  });
</script>
</div>
</div>
</div>

